/*
 * iTunes Signature Maker
 * copyright (c) 2005 by Jason Freeman
 * 
 * For more information, please visit http://www.jasonfreeman.net/itsm/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 * for more details. You should have received a copy of the GNU General
 * Public License along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 * 
 */

package net.jasonfreeman.itsm.analysis;

import net.jasonfreeman.itsm.selection.Song;

/**
 * @author jason
 *
 * Represent a segment of a song that will later be mixed.
 */
public class Chunk {

    private Song song;
    private int startTime; // in movie's timebase (usually 1 sec = 600 units)
    private int dur; // in movie's timebase
    private double[] fftAvg, fftDAvg;
    private int maxAmp;
    private int timeBase;
    
    public Chunk(Song song, int startTime, int durTime, double[] fftAvg, double[] fftDAvg, int maxAmp, int timeBase) {
        this.song = song;
        this.startTime = startTime;
        this.dur = durTime;
        this.fftAvg = fftAvg;
        this.fftDAvg = fftDAvg;
        this.maxAmp = maxAmp;
        this.timeBase = timeBase;
    }

    public Song getSong() {
        return song;
    }
    
    public int getStartTime() {
        return startTime;
    }
    
    public int getDur() {
        return dur;
    }
    
    public double[] getFftAvg() {
        return fftAvg;
    }
    
    public double[] getFftDAvg() {
        return fftDAvg;
    }
    
    public double getMaxAmp() {
    		return maxAmp;
    }
    
    public int getTimeBase() {
    	return timeBase;
    }
    
}
