/*
 * iTunes Signature Maker
 * copyright (c) 2005 by Jason Freeman
 * 
 * For more information, please visit http://www.jasonfreeman.net/itsm/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 * for more details. You should have received a copy of the GNU General
 * Public License along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 * 
 * This source file adapted from:
 * http://fidschi.informatik.rwth-aachen.de/projekte/emd/
 * 
 */

package net.jasonfreeman.itsm.analysis.emd;

/*
 * NorthWestInitializer.java
 *
 * Created on 14. Juni 2004, 10:39
 */

/**
 *
 * @author  schulte-coerne
 */
public class NorthWestInitializer implements Initializer {
    
    /** Creates a new instance of NorthWestInitializer */
    public NorthWestInitializer() {
    }
    
    public void Initialize(Tableau tableau) throws NotEnoughBasicVariablesFoundException {
        int i = 1;
        int j = 1;
        while (i <= tableau.getM() && j <= tableau.getN()) {
            TableauRowHeader rowHeader = tableau.getRowHeader(i);
            TableauColHeader colHeader = tableau.getColHeader(j);
            TableauCell cell = tableau.getCell(i, j);
            int flow = Math.min(rowHeader.getSupply() - rowHeader.getSupplyUsed(), colHeader.getDemand() - colHeader.getDemandFilled());
            rowHeader.setSupplyUsed(rowHeader.getSupplyUsed() + flow);
            colHeader.setDemandFilled(colHeader.getDemandFilled() + flow);
            cell.setX(flow);
            cell.setBasic(true);
            if ((rowHeader.getSupplyUsed() == rowHeader.getSupply() && (i < tableau.getM())) || (j == tableau.getN()))
                i++;
            else 
                j++;
        }
        tableau.calculateUV();
    }
    
}
