/*
 * iTunes Signature Maker
 * copyright (c) 2005 by Jason Freeman
 * 
 * For more information, please visit http://www.jasonfreeman.net/itsm/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 * for more details. You should have received a copy of the GNU General
 * Public License along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 * 
 */

package net.jasonfreeman.itsm.selection;


public class LastPlayedComparer implements SongComparer {

	/* (non-Javadoc)
	 * @see net.jasonfreeman.itsm.selection.SongComparer#betterThan(net.jasonfreeman.itsm.selection.Song, net.jasonfreeman.itsm.selection.Song)
	 */
	public boolean betterThan(Song song, Song song2) {
		int compareResult;
		String songLastPlayed = song.getLastPlayed();
		String song2LastPlayed = song2.getLastPlayed();
		if ((songLastPlayed == null) && (song2LastPlayed == null))
			compareResult = 0;
		else if (songLastPlayed == null)
			compareResult = -1;
		else if (song2LastPlayed == null)
			compareResult = 1;
		else
        		compareResult = songLastPlayed.compareTo(song2LastPlayed);
		if (compareResult == 0) {
			return (song.getPlayCount() > song2.getPlayCount());
		}
		return(compareResult > 0);
	}
}
