/*
 * iTunes Signature Maker
 * copyright (c) 2005 by Jason Freeman
 * 
 * For more information, please visit http://www.jasonfreeman.net/itsm/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 * for more details. You should have received a copy of the GNU General
 * Public License along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 * 
 */

package net.jasonfreeman.itsm.util;

import quicktime.QTException;
import quicktime.QTSession;
import quicktime.app.time.TaskAllMovies;

public class QTSessionManager {

    private static QTSessionManager instance;

    private QTSessionManager() throws QTException {
        super();
        QTSession.open();
    }

    public static void shutdown() {
    		// shut down the movie tasking thread if it's running
    	    try {
    	    	while (TaskAllMovies.currentMovieCount() > 0)
    	    		TaskAllMovies.removeMovie();
    	    } catch (Exception e) {
    	    	// ignore, since we're going to shut down QT anyways...
    	    }
    		try {
    			QTSession.close();
    		} catch (Exception e) {
    			// no problem, just means QTJ was never initialized
    		}
    		instance = null;
    }
    
    public synchronized static QTSessionManager getInstance() throws QTException {
        if (instance == null)
            instance = new QTSessionManager();
        return instance;
    }
}