/*
 * iTunes Signature Maker
 * copyright (c) 2005 by Jason Freeman
 * 
 * For more information, please visit http://www.jasonfreeman.net/itsm/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 * for more details. You should have received a copy of the GNU General
 * Public License along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 * 
 */

package net.jasonfreeman.itsm.util;

import java.io.File;

import javax.swing.JProgressBar;

/**
 * Representation of an HTTP server request.
 * 
 * @author jason
 *
 */

public class ServerAction {

	public static final int TYPE_INIT = 0;
	public static final int TYPE_SEND_PARAM = 1;
	public static final int TYPE_SEND_FILE = 2;
	
	public static final int STATUS_PENDING = 3;
	public static final int STATUS_RUNNING = 4;
	public static final int STATUS_DONE = 5;
	public static final int STATUS_FAILED = 6;
	public static final int STATUS_ABORTED = 7;
	
	public File[] files = null;
	public String[] names = null;
	public String[] values = null;
	public int type;
	public int status = STATUS_PENDING;
	public String response = null;
	public JProgressBar progressBar = null;
	public boolean waitForResponse = false;
}
